Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\Controller\PageController Class Reference

This controller provides the block view feature. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Controller\PageController:

## Public Member Functions
| viewBlock (Block $block, array $params=[], array $cacheSettings=[])
| Render the block. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Controller\PageController
| __construct (ViewManager $viewManager, PageService $pageService)
| viewAction (BlockView $view)
| This is the default view action for a BlockView object. More...
| viewBlockById ($id, array $params=[], array $cacheSettings=[])
| Renders the block with given $id. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Controller\Controller
| getParameter ($parameterName, $defaultValue=null)
| Returns value for $parameterName and fallbacks to $defaultValue if not defined. More...
| hasParameter ($parameterName)
| Checks if $parameterName is defined. More...
| getConfigResolver ()
| render ($view, array $parameters=[], Response $response=null)
| Renders a view. More...
| getTemplateEngine ()
| getLogger ()
| getRepository ()
| getRequest ()
| getEventDispatcher ()
| isGranted (AuthorizationAttribute $attribute)
| Checks if current user has granted access to provided attribute. More...

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Controller\PageController
| $pageService

## Detailed Description

This controller provides the block view feature.

Deprecated:
  since 6.0.0 This specific override of PageController is deprecated since 6.0.0 and in the future, only base PageController (eZ\Publish\Core\MVC\Symfony\Controller\PageController) will be used.

Definition at line 20 of file Bundle/EzPublishCoreBundle/Controller/PageController.php.

## Member Function Documentation

## ◆ viewBlock()

eZ\Bundle\EzPublishCoreBundle\Controller\PageController::viewBlock | ( | Block | $block,
|  | array | $params = `[]`,
|  | array | $cacheSettings = `[]`
| ) |  |

Render the block.

Parameters

  \eZ\Publish\Core\FieldType\Page\Parts\Block | $block |
  array | $params |
  array | $cacheSettings | settings for the HTTP cache, 'smax-age' and 'max-age' are checked.

Returns
  \Symfony\Component\HttpFoundation\Response

Reimplemented from eZ\Publish\Core\MVC\Symfony\Controller\PageController.

Definition at line 22 of file Bundle/EzPublishCoreBundle/Controller/PageController.php.

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/Controller/PageController.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.